# Uses of Interface
org.opensaml.xacml.ctx.ActionType

Packages that use ActionType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of ActionType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return ActionType
Modifier and Type
Method
Description
`ActionType`
RequestType.`getAction()`
Gets the action from the request.
Methods in org.opensaml.xacml.ctx with parameters of type ActionType
Modifier and Type
Method
Description
`void`
RequestType.`setAction(ActionType newAction)`
Sets the action of the request.

## Uses of ActionType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement ActionType
Modifier and Type
Class
Description
`class`
`ActionTypeImpl`
Concrete implementation of `ActionType`.
Fields in org.opensaml.xacml.ctx.impl declared as ActionType
Modifier and Type
Field
Description
`private ActionType`
RequestTypeImpl.`action`
The action of the request.
Methods in org.opensaml.xacml.ctx.impl that return ActionType
Modifier and Type
Method
Description
`ActionType`
ActionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ActionType`
ActionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`ActionType`
RequestTypeImpl.`getAction()`
Gets the action from the request.
Methods in org.opensaml.xacml.ctx.impl with parameters of type ActionType
Modifier and Type
Method
Description
`void`
RequestTypeImpl.`setAction(ActionType act)`
Sets the action of the request.